cc.Class({
    extends: cc.Component,

    properties: {},
    start () {
        this.node.off(cc.Node.EventType.TOUCH_START, this._onTouchBegan, this, true);

        this.node.off(cc.Node.EventType.TOUCH_MOVE, this._onTouchMoved, this, true);

        this.node.off(cc.Node.EventType.TOUCH_END, this._onTouchEnded, this, true);

        this.node.off(cc.Node.EventType.TOUCH_CANCEL, this._onTouchCancelled, this, true)
    },
});
